#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (one failing)

%define         module  flask-login
Summary:	Flask-Login provides user session management for Flask
Summary(pl.UTF-8):	Obsługa zarządzania sesją użytkownika w aplikacjach Flask
Name:		python3-%{module}
Version:	0.6.3
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/F/Flask-Login/Flask-Login-%{version}.tar.gz
# Source0-md5:	689564b8b7f3782f0db382b7aa85bbc2
URL:		https://github.com/maxcountryman/flask-login/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-flask >= 1.0.4
BuildRequires:	python3-semantic_version
BuildRequires:	python3-werkzeug >= 1.0.1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flask-Login provides user session management for Flask. It handles the
common tasks of logging in, logging out, and remembering your users'
sessions over extended periods of time.

%description -l pl.UTF-8
Obsługa zarządzania sesją użytkownika w aplikacjach Flask. Wtyczka
obsługuje najpopularniejsze przypadki użycia: logowanie, wylogowanie,
zapamiętywanie sesji użytkowników przez określony czas.

%package apidocs
Summary:	API documentation for Python Flask-Login module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona Flask-Login
Group:		Documentation

%description apidocs
API documentation for Python Flask-Login module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona Flask-Login.

%prep
%setup -q -n Flask-Login-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
%{__python3} -m unittest discover -s tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SOURCEDIR=. \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE README.md
%{py3_sitescriptdir}/flask_login
%{py3_sitescriptdir}/Flask_Login-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Thu Dec 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-flask-login.git;a=log;h=master

* Thu Dec 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 35696af
- updated to 0.6.3, finished package, added apidocs

* Wed Dec 21 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> d3d0f06
- Up to 0.6.2 (as separate python3 package)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 809d920
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> cfe7efb
- Release 4 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> dc10fe9
- drop python3-distribute deps

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d816096
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 656ccc6
- rebuild with python 3.10

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 662a3fd
- Up to 0.5.0

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> d82ff02
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3d0b10f
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d90d76
- up to 0.4.1

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3203086
- release 5 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d690fb
- python 3.6
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> be9f8f3
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a2e89d6
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 38d6fd0
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b2ebdcb
- python 3.5 rebuild
- release 2 (by relup.sh)

* Fri Apr 10 2015 Mateusz Korniak <matkor@pld-linux.org> 44af3ef
- Initial 0.2.11. By Lukasz Gabrych.

